# Custom Templates - Add-On

![File > New menu with the add-on custom buttons](./images/Featured%20Image%20-%20v2.png)

Custom Templates Add-On allows you to use your own .blend files as template options for new projects.

Your templates will be avaliable in the Splash Screen and the `File > New` menu.

#### Why this add-on?

Blender allows you to save you own .blend file to use on startup.  

This is great, but wouldn't it be nice to be able to create your own templates?

With **Custom Templates** you can setup as many .blend file as you like, as templates.

---

Instead of being limited to the usual options Blender offers to start a new project (General, 2D Animation, Sculpting, VFX, Video Editing), you will be able to configure your own list of .blend files that will be added in the Splash Screen and the `File > New` menu.

Create your own version of General, 2D Animation or any other template you might need.  

*Customize workspaces, preset your usual materials, define additional windows and anything else you would like to have from the beginning.*

### Preferences

In the add-on preferences, you can manage the list of your custom template files and the splash screen mode.

Preferences:

- Templates: List of your custom templates (each with Name and Path to .blend file)
- Override Splash Screen 'New File' list: When active, replaces the list of templates in the Splash Screen  
*(you can update this settings directly from the splash screen menu of the add-on)*

You can add, remove and reorder templates as you wish.

It's possible to Import and Export from and to JSON file (see [Import/Export just below](#importexport)).

*Changes will be immidiatly visible.*

![Custom Templates Preferences](./images/Addons_Preferences%20-%20v2.png)

You can have as many template as you like.

> *Note that, as of now, using wrong file paths will NOT show any warning and you will get an error while opening the template.*  
> *Be sure to use only valid `.blend` files as path.*

### Features

##### Open Template
Of course, the main feature of the add-on is to show your list of templates in the `File > New` menu and in the Splash Screen, according to preferences.
They will open in an unsaved windows, just like the Blender's default ones.

##### Manage templates
You can open the add-on preferences using the button `File > Defaults > Manage templates` or by manually open Blender's Preferences, going in the add-ons tab, and looking for the Custom Templates add-on preferences.

##### Import/Export
Both from the add-on preferences menu and the `File > Default > Import/Export` menu, is possibile to export the current custom templates list to a JSON file, or importing an existing JSON file and using it to override the current custom templates list.

> *Note that this will only backup names and paths. This is not intended as a backup for your .blend files.*

##### Select new custom template
Instead of using preferences, you can select a new template file using `File > Defaults > Select new custom template`. 
*This functions will open a popup where you will select the file path and specify the name for the new template.*

##### Use current as new template
If you have a .blend file already open, you can use `File > Defaults > Use current as new template` (which is visible only when a saved .blend file is currently loaded).  
*This functions will open a popup where you will specify the name for the new template. The path will be the one of the current .blend file.*

### Support

As of today, the add-on has been only tested on Blender 4.2.0.
*It may or may not work on previous version.*

### Copyright

This add-on is developed under GPL-3.0 license by Francesco Bellini from 2024.  
*See the [LICENSE](./LICENSE) file.*

#### Changelog

Visit the [CHANGELOG](./CHANGELOG) file to see the changes over new version.
