from .. import __package__ as base_package
import bpy

def draw_file_new_templates(self, context):
    layout = self.layout

    prefs = context.preferences.addons[base_package].preferences
    if len(prefs.projects) > 0:
        layout.separator()
    draw_templates(layout, context)
        
def draw_templates(layout, context, splash_mode = False):
    prefs = context.preferences.addons[base_package].preferences
    for i in range(min(5, len(prefs.projects)) if splash_mode else len(prefs.projects)):
        project = prefs.projects[i]
        layout.operator(
            "wm.read_homefile", text=project.name, icon="FILE_NEW" if splash_mode else "NONE").filepath = project.path
        
def draw_file_default_operators(self, context):
    layout = self.layout
    layout.separator()
    layout.operator("ct.open_preferences",
                    text="Manage templates")
    layout.menu("CT_MT_export", text="Import/Export")
    layout.separator()
    layout.operator("ct.select_template_popup",
                    text="Select new custom template")
    if bpy.data.filepath != "":
        # Only with an active saved .blend file
        layout.operator("ct.add_template_popup",
                        text="Use current as new template")
        